- Main Page
- Namespaces
- Classes
- Files
- Examples

- File List
- File Members

# futils.hpp File Reference

Basic file utility functions required by Exiv2. More...

`#include <string>`

Include dependency graph for futils.hpp:

## Namespaces
namespace | Exiv2
## Functions
bool | Exiv2::fileExists (const std::string &path, bool ct=false)
| Test if a file exists.
std::string | Exiv2::strError ()
| Return a system error message and the error code (errno). See strerror(3).

## Detailed Description

Basic file utility functions required by Exiv2.

Version:
  Rev
    669

Author:
  Andreas Huggel (ahu) ahuggel@gmx.net

Date:
  12-Dec-03, ahu: created
  02-Apr-05, ahu: moved to Exiv2 namespace